Subject: Re: your mail

From: Zheng Gengbing <[email-masked]>
Date: Tue, 18 Jun 1996 10:56:16 +0800 (EAT)

On Mon, 17 Jun 1996, Guansong Zhang wrote:

> On Jun 17,  6:38pm, Zheng Gengbing wrote:
> > Subject:
> >
> >
> > Hi,
> >
> > 	I have a private question .
> >
> > 	How to count the money used in the communication such as ftp ,
> > netscape according to every user ? You know ,It's easy to count the amount in
> > every IP address , but how to count the amount of every user ?
> >
> > 	Would you please ask your system manager if you don't know either .
> >
> > Thanks,
> >
> >
> > Gengbin
> >
> >-- End of excerpt from Zheng Gengbing
> 
> 
> I am not familiar with UNIX system. I don't even know how to check how much
> memory a process occupy when it is running. So I am afraid I can not raise the
> question clear to the system manager.
>

	In HP9000, there is a command to get the information:
>   acctcom pacct
	pacct is a account file maintained by the system and acctom is a 
 command .
 
	The output of this command is like :

ACCOUNTING RECORDS FROM:  Tue Jun 18 04:02:24 1996
COMMAND                      START    END          REAL     CPU    MEAN
NAME       USER     TTYNAME  TIME     TIME       (SECS)  (SECS) SIZE(K)
#accton    root     ?        04:02:24 04:02:24     0.02    0.02    0.00
#turnacct  root     ?        04:02:24 04:02:24     0.76    0.03    0.00
mv         root     ?        04:02:24 04:02:24     0.05    0.02    0.00
cp         root     ?        04:02:24 04:02:24     0.15    0.05    0.00

the last column (MEAN) is memory record.

You can see when ftp is executing , we can only know the user who execute
the command , and we cannot know how many bytes are they transfered .
Are there any method to get the information ?

> So could you please tell me first, how to you count the memory amount of a
> runing process and for one IP address. Let me familiar with the term first.
> 
> Thanks.
> 
> Guansong
>